Bug 503200 - [enh] connection editor windows should be shorter
[enh] connection editor windows should be shorter
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 11:19 EDT by Wolfgang Rupprecht
Modified: 2010-12-05 01:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:53:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of NetworkManager edit applet showing how the bottom is cut off (210.44 KB, image/png)
2009-05-29 11:27 EDT, Wolfgang Rupprecht
no flags Details
Acer Aspire One Xorg.0.log file (24.60 KB, text/plain)
2009-05-29 15:02 EDT, Wolfgang Rupprecht
no flags Details

  None (edit)
Description Wolfgang Rupprecht 2009-05-29 11:19:01 EDT
Description of problem:

The NetworkManager edit applet window is too large for netbook computers.  Netbook computers tend to only have vga-sized screen heights even if they are a touch wider.  The NetworkManager network editing applet is a bit too tall to fit on the screen and expose the bottom-most section which includes the "apply" button and also has the "make this network pubic" choice.  In most window managers this wouldn't be a problem since one could just move the window up, off the top of the screen a bit, but gnome's window manager in Fedora refuses to let one do that.  To compound problems the applet window itself refuses to resize, so one can't even make it smaller so that it fits onto the screen.  It is not clear why the window would refuse the resize request.  This seems like a bug.

Version-Release number of selected component (if applicable):
1:0.7.1-4.git20090414.fc11

How reproducible:

always.

Steps to Reproduce:
1. Log in on an Acer Aspire One (or other netbook) running fedora-11
2. click on the nm applet on the top-pannel
3. chose to edit a network
4. observer that the bottom of the applet is cut off.
  
Actual results:

The bottom of the applet is cut off.

Expected results:

I expect to see the whole applet or at least be allowed to resize or reposition it so that the bottom is exposed.  As far as I can tell, there is no way to click on or read the choices on the bottom line.

Additional info:

Work-around:  plug a larger external display in.  This currently works, but doesn't always since Xorg has mood swings as to whether two displays should be forced to use the greatest common size of the external and internal displays or if the desktop should be sized for the larger of the two.  Currently they chose the latter, so plugging in a 1200x1600 external display solves the problem.
Comment 1 Wolfgang Rupprecht 2009-05-29 11:27:50 EDT
Created attachment 345919 [details]
screenshot of NetworkManager edit applet showing how the bottom is cut off

right click on the nm signal-bar icon
click on "edit connections"
click on "wireless"
Comment 2 Dan Williams 2009-05-29 14:54:28 EDT
Part of the problem is the large font size, the desktop doesn't do a great job of getting a reasonable font size for these panels.  What's the actual resolution of the panel?  1024x600?
Comment 3 Wolfgang Rupprecht 2009-05-29 15:02:55 EDT
Created attachment 345945 [details]
Acer Aspire One Xorg.0.log file

Yes, the display is 1024 horz and 600 vert. and it claims to be 96 dpi in both directions.

I'll attach the Xorg.0.log file.
Comment 4 Niels Haase 2009-06-02 16:45:11 EDT
Reporter,

the font size in your screen shot locks more like 96 dpi for me (what is strange, because your Xorg.log show 96 dpi). Anyway, you can try to reduce the dpi to 75. You can change it over System -> Preferences -> Appearance -> "Fonts" tab -> "Details" button -> Resolution: XX dots per inch. But as Dan wrote, this is not a real NetworkManager problem.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2009-06-09 12:48:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matthieu Araman 2009-06-17 17:09:08 EDT
Got the same problem.(acer aspire one, 1024*600)
As a workaround, I chose autohide for bottom and top gnome panels but it was not enough.
Reducing font works as a workaround but I think the network applet should be able to work by default on a netbook without to have to tweak settings.
Configuring the netbook's network is one of the first thing a user will try after installing and it's very frustating to be limited by the size of a dialog !
Of course, Fedora 11/gnome is also missing some way to overcome the screen size limitation (like allowing the user to define a virtual screen without having to edit manually xorg.conf....)
Comment 7 Wolfgang Rupprecht 2009-06-18 14:08:57 EDT
comment 4: the dpi is indeed being worked out incorrectly.  The Xorg files shows an EDID of 20cm x 11cm corresponding to the 1024 and 600 pixels respectively.  That comes out to 130 DPI.  Did Xorg really get that simple calculation wrong or did I???

(/ 1024.0 (/ 20.0 2.54)) 130.048 ; DPI
Comment 8 Bill McGonigle 2009-06-25 03:22:14 EDT
My ASUS eeePC 1000HE seems to get the DPI right:

screen #0:
  dimensions:    1024x600 pixels (220x129 millimeters)
  resolution:    118x118 dots per inch

(via xdpyinfo) but the fonts are still unnecessarily large, at least for the distance my eyes are from this screen.

There's also no keyboard accelerator on 'Apply' which is my usual workaround for netbook res. problems.

Do we still support normal desktops running at 800x600?
Comment 9 Bug Zapper 2010-11-04 07:11:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bill McGonigle 2010-11-05 21:07:48 EDT
WFM on Fedora 13.
Comment 11 Bug Zapper 2010-12-05 01:53:07 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.